/*
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://eu-egee.org/partners/ for details on the copyright holders.
 * For license conditions see the license file or http://eu-egee.org/license.html
 *
 * Author Peter Kunszt <peter.kunszt@cern.ch>
 * $Id: AlreadyRunningException.hxx,v 1.1 2005/01/27 17:03:18 pkunszt Exp $
 */

#ifndef GLITE_DATA_ALREADYRUNNING_EXCEPTION_HXX_
#define GLITE_DATA_ALREADYRUNNING_EXCEPTION_HXX_

#include <string>
#include <sstream>
#include <exception>

namespace glite{
namespace transfer{


class AlreadyRunningException : public std::exception {
private:
    std::string m_message;

public:
    AlreadyRunningException(std::string source, std::string dest, std::string id) throw() {
        std::ostringstream str;
        str << "Transfer from " << source << " to " << dest << " is already in progress with ID " << id;
        m_message = str.str();
    }

    // Destructor.
    virtual ~AlreadyRunningException() throw() {};

    // Returns the message as set during construction.
    virtual const char *what() const throw() { return m_message.c_str(); }
};
}
}

#endif
