/*
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://eu-egee.org/partners/ for details on the copyright holders.
 * For license conditions see the license file or http://eu-egee.org/license.html
 *
 * Author Peter Kunszt <peter.kunszt@cern.ch>
 * $Id: InvalidURLException.hxx,v 1.3 2005/07/11 10:01:10 pkunszt Exp $
 */

#ifndef GLITE_DATA_INVALIDURL_EXCEPTION_HXX_
#define GLITE_DATA_INVALIDURL_EXCEPTION_HXX_

#include <string>
#include <exception>

namespace glite{
namespace transfer{


class InvalidURLException : public std::exception {
private:
    std::string m_message;

public:
    InvalidURLException(std::string url) throw() : m_message(url) {
	m_message += " is an unsupported URL.";
    }

    InvalidURLException(std::string url,std::string info) throw() : m_message(url) {
	m_message += " is an unsupported URL. - ";
	m_message += info;
    }

    // Destructor.
    virtual ~InvalidURLException() throw() {};

    // Returns the message as set during construction.
    virtual const char *what() const throw() { return m_message.c_str(); }
};

class InvalidArgumentException : public std::exception {
private:
    std::string m_message;

public:
    InvalidArgumentException(std::string url) throw() : m_message(url) {
    }

    // Destructor.
    virtual ~InvalidArgumentException() throw() {};

    // Returns the message as set during construction.
    virtual const char *what() const throw() { return m_message.c_str(); }
};
}
}

#endif
