/*
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://eu-egee.org/partners/ for details on the copyright holders.
 * For license conditions see the license file or http://eu-egee.org/license.html
 *
 * Author Peter Kunszt <peter.kunszt@cern.ch>
 * $Id: NoSuchTransferException.hxx,v 1.2 2005/01/29 00:00:18 pkunszt Exp $
 */

#ifndef GLITE_DATA_NOSUCHTRANSFER_EXCEPTION_HXX_
#define GLITE_DATA_NOSUCHTRANSFER_EXCEPTION_HXX_

#include <string>
#include <exception>

namespace glite{
namespace transfer{


class NoSuchTransferException : public std::exception {
private:
    std::string m_message;

public:
    NoSuchTransferException(const char *msg) throw() : m_message(msg) {}
    NoSuchTransferException(const char *msg,const char *info) throw() : m_message(msg) { m_message += " - "; m_message += info; }

    // Destructor.
    virtual ~NoSuchTransferException() throw() {};

    // Returns the message as set during construction.
    virtual const char *what() const throw() { return m_message.c_str(); }
};
}
}

#endif
