/*
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://eu-egee.org/partners/ for details on the copyright holders.
 * For license conditions see the license file or http://eu-egee.org/license.html
 *
 * Author Peter Kunszt <peter.kunszt@cern.ch>
 * $Id: TransferException.hxx,v 1.2 2005/01/29 00:00:18 pkunszt Exp $
 */

#ifndef GLITE_DATA_TRANSFER_EXCEPTION_HXX_
#define GLITE_DATA_TRANSFER_EXCEPTION_HXX_

#include <string>
#include <exception>

extern "C" {
#include <string.h>
}

namespace glite{
namespace transfer{


class TransferException : public std::exception {
private:
    std::string m_message;
    int m_err;

public:
    TransferException(const char *msg) throw() : m_message(msg),m_err(0) {}
    TransferException(const char *msg, const char *info) throw() : m_message(msg), m_err(0) { m_message += " - "; m_message += info; }
    TransferException(const char *msg, int err) throw() : m_message(msg), m_err(err) { m_message += " - "; m_message += strerror(err); }

    // Destructor.
    virtual ~TransferException() throw() {};

    // Returns the message as set during construction.
    virtual const char *what() const throw() { return m_message.c_str(); }

    // Returns the message as set during construction.
    virtual int err() const throw() { return m_err; }
};
}
}

#endif
