/*
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://eu-egee.org/partners/ for details on the copyright holders.
 * For license conditions see the license file or http://eu-egee.org/license.html
 *
 * Author Peter Kunszt <peter.kunszt@cern.ch>
 * $Id: TransferSRMException.hxx,v 1.3 2005/08/11 23:24:20 pkunszt Exp $
 */

#ifndef GLITE_DATA_TRANSFERSRM_EXCEPTION_HXX_
#define GLITE_DATA_TRANSFERSRM_EXCEPTION_HXX_

#include <string>
#include <exception>

extern "C" {
#include <string.h>
}

namespace glite{
namespace transfer{


class TransferSRMException : public std::exception {
private:
    std::string m_message;
    std::string m_id;
    int m_err;

public:
    TransferSRMException(const char *msg, std::string id) throw() : m_message(msg),m_err(0),m_id(id) {}

    // Destructor.
    virtual ~TransferSRMException() throw() {};

    // Returns the message as set during construction.
    virtual const char *what() const throw() { return m_message.c_str(); }

    // Returns the message as set during construction.
    virtual int err() const throw() { return m_err; }

    const std::string& getId() const { return m_id;}
};
}
}

#endif
