/*
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://eu-egee.org/partners/ for details on the copyright holders.
 * For license conditions see the license file or http://eu-egee.org/license.html
 *
 * Author Peter Kunszt <peter.kunszt@cern.ch>
 * $Id: TransferSRMStatusException.hxx,v 1.4 2006/07/13 15:43:39 badino Exp $
 */

#ifndef GLITE_DATA_TRANSFERSRMSTATUS_EXCEPTION_HXX_
#define GLITE_DATA_TRANSFERSRMSTATUS_EXCEPTION_HXX_

#include <string>
#include <exception>

extern "C" {
#include <string.h>
}

namespace glite{
namespace transfer{


class TransferSRMStatusException : public std::exception {
private:
    std::string m_message;
    std::string m_id;
    int m_err;
    time_t m_sec;

public:
    TransferSRMStatusException(const char *msg, std::string id, time_t t) throw() : m_message(msg),m_err(0),m_id(id),m_sec(t) {}

    // Destructor.
    virtual ~TransferSRMStatusException() throw() {};

    // Returns the message as set during construction.
    virtual const char *what() const throw() { return m_message.c_str(); }

    // Returns the message as set during construction.
    virtual int err() const throw() { return m_err; }

    const std::string getId() const { return m_id;}

    time_t getSecsSinceLastSuccess() const {return m_sec;}
};
}
}

#endif
