/*
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://eu-egee.org/partners/ for details on the copyright holders.
 * For license conditions see the license file or http://eu-egee.org/license.html
 *
 * Author Peter Kunszt <peter.kunszt@cern.ch>
 * $Id: UninitializedException.hxx,v 1.1 2005/01/28 03:01:44 pkunszt Exp $
 */

#ifndef GLITE_DATA_UNINITIALIZED_EXCEPTION_HXX_
#define GLITE_DATA_UNINITIALIZED_EXCEPTION_HXX_

#include <string>
#include <exception>

namespace glite{
namespace transfer{


class UninitializedException : public std::exception {
private:
    std::string m_message;

public:
    UninitializedException(const char *msg) throw() : m_message(msg) {}

    // Destructor.
    virtual ~UninitializedException() throw() {};

    // Returns the message as set during construction.
    virtual const char *what() const throw() { return m_message.c_str(); }
};
}
}

#endif
